<div class="container">
  <ng-container *ngFor="let button of model">
    <button
      mat-button
      [disabled]="!button.enabled"
      [ngClass]="{ 'mdc-button--outlined mat-mdc-outlined-button': !button.selected, 'mdc-button--unelevated mat-mdc-unelevated-button': button.selected }"
      color="primary"
      class="api-button stroked-button-border-color round-button"
      (click)="selectionChanged.emit({value:button.value})">
      {{button.display}}
    </button>
  </ng-container>
</div>
